Skip to main content
GET
/
accounts
/
{account_id}
/
members
/
{id}
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/members/:id" \
  -u USERNAME_OR_ACCESS_TOKEN
phrase members show \
--account_id <account_id> \
--id <id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/accounts/{account_id}/members/{id}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/accounts/{account_id}/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "acbdacbdacbdacbdacbdacbd",
  "email": "foo@bar.com",
  "username": "myname",
  "created_at": "2020-12-07T12:56:21Z",
  "last_activity_at": "2020-12-09T12:56:21Z",
  "role": "Manager",
  "projects": [
    {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "My Android Project",
      "main_format": "xml",
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z",
      "locales": [
        {
          "id": "abcd1234cdef1234abcd1234cdef1234",
          "name": "English",
          "code": "en-Gb"
        }
      ]
    }
  ],
  "permissions": [
    {
      "create_upload": true,
      "review_translations": true
    }
  ],
  "default_locale_codes": [
    "en",
    "fi"
  ],
  "teams": [
    {
      "id": "04d36d845576b9d494d05e0b70fe813c",
      "name": "Team 1",
      "created_at": "2020-12-07T12:56:21Z",
      "updated_at": "2020-12-07T12:56:21Z"
    }
  ],
  "spaces": [
    {
      "id": "04d36d845576b9d494d05e0b70fe813b",
      "name": "Space2",
      "created_at": "2020-12-07T12:56:21Z",
      "updated_at": "2020-12-07T12:56:21Z",
      "projects_count": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

account_id
string
required

Account ID

id
string
required

ID

Response

OK

id
string
email
string
username
string
created_at
string<date-time>
last_activity_at
string<date-time>
role
string
projects
project_locales · object[]
permissions
object
default_locale_codes
string[]
teams
team_short · object[]
spaces
object[]